/*
$echo     FILE:	lr1_pa1.lex
$echo     A LR1 GRAMMAR FROM
$echo     ACTA INFORMATICA 7 249-268(1977)
$echo     A PRACTICAL GENERAL METHOD FOR CONSTRUCTING LR(K) PARSERS
$echo     BY DAVID PAGER
$echo     P. 256 GRAMMAR G2
$echo Okay
*/
/@
@** |lr1_pa1| grammar.\fbreak
    A LR1 GRAMMAR FROM
    ACTA INFORMATICA 7 249-268(1977)
    A PRACTICAL GENERAL METHOD FOR CONSTRUCTING LR(K) PARSERS
        BY DAVID PAGER
        P. 256 GRAMMAR G2
@/
fsm(fsm-id    "lr1_pa1.lex",fsm-filename lr1_pa1,fsm-namespace NS_lr1_pa1
   ,fsm-class Clr1_pa1_rul_fsm
   ,fsm-version "1.0",fsm-date     "8-oct-96"
   ,fsm-debug   "true",fsm-comments "test out lr1")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"
rules
{
  Rlr1_pa1(){ 
      -> RX eog 
    }

  RX(){ 
      -> a  RY d 
      -> a  RZ c 
      -> a  RT
      -> b  RY e 
      -> b  RZ d 
      -> b  RT
    }

  RY(){ 
      -> t  RW
      -> u  RX
    }

  RZ(){ 
      -> t  u 
    }

  RT(){ 
      -> u  RX a 
    }

  RW(){ 
      -> u  RV 
    }

  RV(){ 
      -> 
    }
}	// end of grammar
